<?php
namespace Ak\Woo\Model\Entity\Order;

use Ak\Woo\Model\OrderItemInterface;
use Ak\Wp\Model\Entity\AbstractMeta;
use Doctrine\ORM\Mapping as ORM;

/**
 * Class OrderItemMeta
 *
 * @package Ak\Woo\Model\Entity\Order
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/woo-model
 *
 * @ORM\Entity()
 * @ORM\Table(name="wp_woocommerce_order_itemmeta", options={"charset": "utf8mb4", "collate": "utf8mb4_general_ci"})
 */
class ItemMeta extends AbstractMeta
{
    /**
     * @ORM\ManyToOne(targetEntity="Ak\Woo\Model\Entity\Order\Item", inversedBy="metas")
     * @ORM\JoinColumn(name="order_item_id", referencedColumnName="order_item_id")
     */
    protected OrderItemInterface $orderItem;

    /**
     * OrderItemMeta constructor.
     *
     * @param OrderItemInterface $orderItem
     * @param string $key
     */
    public function __construct(OrderItemInterface $orderItem, string $key)
    {
        $this->orderItem = $orderItem;
        $this->key = $key;
    }
}
