<?php
namespace Ak\Woo\Model\Entity\Order;

use Ak\Orm\Mapping\DiscriminatorEntry;
use Ak\Woo\Model\LineItemInterface;
use Doctrine\ORM\Mapping as ORM;

/**
 * Class LineItem
 *
 * @package Ak\Woo\Model\Entity\Order
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/woo-model
 *
 * @ORM\Entity()
 * @DiscriminatorEntry("line_item")
 */
class LineItem extends Item implements LineItemInterface
{
    /**
     * Vraća ID naručenog proizvoda.
     *
     * @return int
     */
    public function getProductId(): int
    {
        return intval($this->getMeta('_product_id'));
    }

    /**
     * Vraća količinu naručenog proizvoda.
     *
     * @return int
     */
    public function getQuantity(): int
    {
        return intval($this->getMeta('_qty'));
    }

    /**
     * Vraća ukupan iznos ove stavke.
     *
     * @return float
     */
    public function getTotal(): float
    {
        return floatval($this->getMeta('_line_total'));
    }
}