<?php
namespace Ak\Woo\Model;

/**
 * Ova stavka sadrži naručeni proizvod.
 *
 * @package Ak\Woo\Model
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/webshop-product
 */
interface LineItemInterface extends OrderItemInterface
{
    /**
     * Vraća ID naručenog proizvoda.
     *
     * @return int
     */
    public function getProductId(): int;

    /**
     * Vraća količinu naručenog proizvoda.
     *
     * @return int
     */
    public function getQuantity(): int;

    /**
     * Vraća ukupan iznos ove stavke.
     *
     * @return float
     */
    public function getTotal():float;
}